UNMKINITRAMFS(8)

NAME
unmkinitramfs - extract content from an initramfs image

SYNOPSIS
unmkinitramfs [-v] initramfs-file directory
unmkinitramfs -h

DESCRIPTION
The unmkinitramfs command extracts the content of a given initramfs image using cpio and the appropriate decompressor command. The initramfs image may be a single compressed cpio archive, or the concatenation of any number of uncompressed cpio archives followed by a compressed cpio archive. When the initramfs image includes one or more "early initramfs" archives, that is uncompressed archives with microcode or other files that the kernel uses directly, these are extracted to sub-directories named "early", "early2", etc., and the other archives are extracted to a sub-directory named "main". In a future version of initramfs-tools this behaviour may change so that all archives are extracted directly into the given directory.

OPTIONS

-h  Display usage information and exit.

-v  Display verbose messages about extraction.

USAGE EXAMPLES
Extract initramfs content of current running kernel:

unmkinitramfs /boot/initrd.img-$(uname -r) initramfs/

BUGS
unmkinitramfs does not support initramfs images with more or less than one compressed cpio archive.

AUTHOR
The initramfs-tools are written by Maximilian Attems <maks@debian.org> and numerous others.

SEE ALSO
initramfs-tools(7), lsinitramfs(8), mkinitramfs(8), update-initramfs(8).